package com.ruoyi.system.utils.jsch;

import java.util.ArrayList;
import com.ruoyi.system.utils.jsch.entity.DockerContainer;
import java.util.List;
import com.ruoyi.common.core.utils.uuid.UUID;

public class DockerParser
{
    public static void main(final String[] args) {
        System.out.println(UUID.randomUUID().toString().replaceAll("-", ""));
    }
    
    public static List<DockerContainer> parseDockerPsOutput(final String output) {
        final List<DockerContainer> containers = new ArrayList<DockerContainer>();
        final String[] split;
        final String[] lines = split = output.split("\n");
        for (final String line : split) {
            if (!line.trim().isEmpty()) {
                final String[] parts = line.trim().split("\\s+");
                final DockerContainer container = new DockerContainer();
                container.setContainerId(parts[0]);
                container.setImage(parts[1]);
                container.setCommand(parts[2]);
                container.setCreated(parts[3]);
                container.setStatus(parts[4]);
                container.setPorts(parts[5] + ((parts.length > 6) ? (" " + parts[6]) : ""));
                container.setNames(parts[parts.length - 1]);
                containers.add(container);
            }
        }
        return containers;
    }
}
